# Memcached::touch

(PECL memcached >= 2.0.0)

Memcached::touch — Définit une nouvelle expiration sur un élément

### Description

public Memcached::touch(string `$key`, int `$expiration` = 0): bool

Memcached::touch() définit une nouvelle valeur d'expiration pour une clé donnée.

### Liste de paramètres

`key`

  La clé avec laquelle stocker la valeur.

`expiration`

  Le délai d'expiration, par défaut à zéro. Voyez délais d'expiration pour plus d'informations.

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient. Utilisez Memcached::getResultCode() si nécessaire.

### Voir aussi

- Memcached::touchByKey() - Définit une nouvelle expiration sur un élément d'un serveur spécifique